       PROGRAM LINSCH
       PARAMETER(LIM=50)
       INTEGER LIST(LIM),N,LOC,ITEM,I
       LOGICAL FOUND
       OPEN(1,FILE='oldlst.dat',STATUS='OLD')
       ITEM = 84
       N = 20
       DO 10 I = 1,N
         READ(1,*) LIST(I)
 10    CONTINUE
       LOC = 1
       FOUND = .FALSE.
 20    IF ((LOC .LE. N) .AND. .NOT. FOUND) THEN
          IF (ITEM .EQ. LIST(LOC)) THEN
             FOUND = .TRUE.
          ELSE
             LOC = LOC + 1
          ENDIF
          GOTO 20
       ENDIF
       WRITE(*,*) 'Item:',ITEM,', Position:',LOC
       STOP
       END

       
